%global         momorel 1

Name:           perl-Throwable
Version:        0.200012
Release:        %{momorel}m%{?dist}
Summary:        Role for classes that can be thrown
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Throwable/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/Throwable-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Carp
BuildRequires:  perl-Class-Load >= 0.20
BuildRequires:  perl-Devel-StackTrace >= 1.21
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-File-Temp
BuildRequires:  perl-List-Util
BuildRequires:  perl-Moo >= 1.000001
BuildRequires:  perl-MooX-Types-MooseLike
BuildRequires:  perl-Test-Simple >= 0.96
Requires:       perl-Carp
Requires:       perl-Class-Load >= 0.20
Requires:       perl-Devel-StackTrace >= 1.21
Requires:       perl-List-Util
Requires:       perl-Moo >= 1.000001
Requires:       perl-MooX-Types-MooseLike
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
Throwable is a role for classes that are meant to be thrown as exceptions
to standard program flow. It is very simple and does only two things: saves
any previous value for $@ and calls die $self.

%prep
%setup -q -n Throwable-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README
%{perl_vendorlib}/StackTrace/Auto.pm
%{perl_vendorlib}/Throwable
%{perl_vendorlib}/Throwable.pm
%{_mandir}/man3/*

%changelog
* Sun Oct  5 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.200012-1m)
- update to 0.200012

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.200011-2m)
- rebuild against perl-5.20.0

* Sun Apr  6 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.200011-1m)
- update to 0.200011

* Sun Mar  9 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.200010-1m)
- update to 0.200010

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.200009-2m)
- rebuild against perl-5.18.2

* Wed Oct 23 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.200009-1m)
- update to 0.200009

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.200008-3m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.200008-2m)
- rebuild against perl-5.18.0

* Wed May  1 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.200008-1m)
- update to 0.200008

* Wed Apr 10 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.200007-1m)
- update to 0.200007

* Sat Apr  6 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.200005-1m)
- update to 0.200005

* Wed Mar 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.200004-1m)
- update to 0.200004

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.200003-3m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.200003-2m)
- rebuild against perl-5.16.2

* Fri Oct 19 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.200003-1m)
- update to 0.200003

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.102080-10m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.102080-9m)
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.102080-8m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.102080-7m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.102080-6m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.102080-5m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.102080-4m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.102080-3m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.102080-2m)
- full rebuild for mo7 release

* Wed Jul 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.102080-1m)
- update to 0.102080

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.101110-2m)
- rebuild against perl-5.12.1

* Thu Apr 22 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.101110-1m)
- update to 0.101110

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.100090-2m)
- rebuild against perl-5.12.0

* Sun Jan 31 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.100090-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
